Skip to main content
`Ctrl`+`K`

# BVSetMatMultMethod

Specifies the method used for the `BVMatMult()` operation.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetMatMultMethod(BV bv,BVMatMultType method)

Logically Collective

## Input Parameters

- bv - the basis vectors context

- method - the method for the `BVMatMult()` operation

## Options Database Key

- -bv_matmult <method> - choose one of the methods: `vecs`, `mat`

## Note

The default is `BV_MATMULT_MAT` except in the case of `BVVECS`.

## See Also

BV: Basis Vectors, `BVMatMult()`, `BVGetMatMultMethod()`, `BVMatMultType`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages